#ifndef LIMOOVIEWER_H
#define LIMOOVIEWER_H

#include "thumbnailbaritem.h"

#include <SPage>
#include <SApplication>

class LimooViewerPrivate;
class LimooViewer : public SPage
{
    Q_OBJECT
public:
    LimooViewer( SApplication *parent );
    ~LimooViewer();

    void add(const QString & path );
    ThumbnailBarItem *at( int index );
    int count() const;

signals:
    
public slots:
    void fullScreen();

private slots:
    void toggleFullscreen();

protected:
    void dropEvent( QDropEvent *event );
    void dragEnterEvent( QDragEnterEvent *event );

private:
    void init_actions();
    
private:
    LimooViewerPrivate *p;
};

#endif // LIMOOVIEWER_H
